package com.ruoyi.nanjing.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class QsStation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String stationCode;
    private String stationName;
    @Excel(name = "总数量")
    private String inputNum;
    @Excel(name = "合格数量")
    private String okNum;
    @Excel(name = "异常数量")
    private String ero;
    @Excel(name = "合格率")
    private String allRate;

    private Date beginTime;
    private Date endTime;

    private String productId;
    private String stationId;

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getInputNum() {
        return inputNum;
    }

    public void setInputNum(String inputNum) {
        this.inputNum = inputNum;
    }

    public String getOkNum() {
        return okNum;
    }

    public void setOkNum(String okNum) {
        this.okNum = okNum;
    }

    public String getEro() {
        return ero;
    }

    public void setEro(String ero) {
        this.ero = ero;
    }

    public String getAllRate() {
        return allRate;
    }

    public void setAllRate(String allRate) {
        this.allRate = allRate;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }
}
